#ifndef PGC_FUNCTION_INTERFACE_H
#define PGC_FUNCTION_INTERFACE_H

#include <config.h>

#ifdef HAVE_LIBPROTEINGEOMETRY
#include "pgc_function_interface_proteingeometry.h"
#endif

#ifdef HAVE_LSQRMS
#include "pgc_function_interface_lsqrms.h"
#endif

void *pgc_internal_version (void **args);
void *pgc_internal_print (void **args);
void *pgc_internal_int (void **args);
void *pgc_internal_float (void **args);
void *pgc_internal_int_to_string (void **args);
void *pgc_internal_float_to_string (void **args);
void *pgc_internal_record_type (void **args);
void *pgc_internal_describe (void **args);
void *pgc_internal_vector_sum (void **args);
void *pgc_internal_vector_type (void **args);
void *pgc_internal_vector_length (void **args);

#endif
