#ifndef PGC_CONF_LEXER_H
#define PGC_CONF_LEXER_H

struct pgc_conf_entry {
  char *entry_name;
  char *entry_value;
};

#ifndef YYSTYPE
#define YYSTYPE struct pgc_conf_entry
#define YYSTYPE_IS_TRIVIAL 1
#endif

/* I think order is kind of important here because of the way that
   yyterminate () works... */
enum pgc_conf_lexer_types {
  PGC_CONF_EOF,
  PGC_CONF_TOKEN,
  PGC_CONF_ERROR
};

extern YYSTYPE yylval;

#endif
