/* Use this file to define new record types... */
#ifndef PGC_RECORD_H
#define PGC_RECORD_H

#include "pgc.h"

struct pgc_record_definition {
  char *record_type_name;
  int field_count;
  char **public_field_names;
  int *public_field_types;
};

extern struct pgc_record_definition **record_table;

struct pgc_record_definition *pgc_lookup_record (char *record_type_name);

void pgc_init_record_table ();

#endif
